using Microsoft.AspNetCore.Components;

namespace Connected.Components
{
	public partial class Base : ComponentBase
	{
		/// <summary>
		/// Unique ID for the component used in state management
		/// Every component should inherit from Base class
		/// </summary>
		[Parameter, EditorRequired]
		public string Id { get; set; } = Guid.NewGuid().ToString();

		protected override void OnInitialized()
		{
			if (string.IsNullOrEmpty(Id))
				Id = Guid.NewGuid().ToString();
		}
	}
}